<?php
namespace User\Controller;



class ImportController extends \Zend\Mvc\Controller\AbstractActionController
{

	public function processAction()
	{
		\Utility\Registry::setServiceManager($this->serviceLocator);
		\Utility\Registry::addDynamicConfig(
				\Utility\Registry::getEntityManager()
				->getRepository('Config\Entity\Config')
				->find(1)
				->toArray()
		);
		$service = new \User\Service\Import();
		$service->setWorkflow($this->serviceLocator->get('User'));
		$service->cronProcess();
		return "\n";
	}

	public function notifyAction()
	{
		\Utility\Registry::setServiceManager($this->serviceLocator);
		\Utility\Registry::addDynamicConfig(
				\Utility\Registry::getEntityManager()
				->getRepository('Config\Entity\Config')
				->find(1)
				->toArray()
		);
		$service = new \User\Service\Import();
		$service->setWorkflow($this->serviceLocator->get('User'));
		$service->notifyProcess();
		return "\n";
	}

}
